Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231322 - unhandled exception during kickstart install
Summary: unhandled exception during kickstart install
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda
Version: 4.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
: 231321 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-07 18:56 UTC by Ben Cotton
Modified: 2008-08-02 23:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-24 17:29:47 UTC
Target Upstream Version:


Attachments (Terms of Use)
anaconda message dump (deleted)
2007-03-07 18:56 UTC, Ben Cotton
no flags Details

Description Ben Cotton 2007-03-07 18:56:41 UTC
Description of problem:
When attempting to install from a web kickstart (included below), anaconda has
an "unhandled exception" each time.

How reproducible:
100%

Steps to Reproduce:
1. boot from RHEL4WS disc 1
2. enter "linux ks=http://delete.itap.purdue.edu/RHEL4WS_upgrade.cfg"


Actual results:

Expected results:
installation

Additional info:
Contents of kickstart file:
#System  language
lang en_US
#Language modules to install
langsupport --default=en_US
#System keyboard
keyboard us
#System mouse
mouse generic3ps/2
#Sytem timezone
timezone America/Indianapolis
#Root password
rootpw --iscrypted $1$B2yzz12j$rkP7/hNtX/jD7Wexfbh68.

#Reboot after installation
#reboot
upgrade

#Install Red Hat Linux instead of upgrade
#install
#Use Web installation
url --url http://delete.itap.purdue.edu/rhel/ws/4/i386/os/

#System bootloader configuration
bootloader --location=mbr
#Clear the Master Boot Record
zerombr yes

#Partition clearing information
#clearpart --all --initlabel
#Disk partitioning information

#part / --fstype ext3 --size 5120 --asprimary
#part swap --size 4096
#part swap --size 4096
#part swap --size 4096
#part /usr --fstype ext3 --size 8192
#part /var --fstype ext3 --size 2048
#part /opt --fstype ext3 --size 12800
#part /tmp --fstype ext3 --size 2048
# Keep the /export space
#part /export --noformat


#System authorization infomation
auth  --useshadow  --enablemd5
#Network information
network --bootproto=static --ip=128.210.169.226 --netmask=255.255.255.0
--gateway=128.210.169.1 --nameserver=128.210.11.57  
#Firewall configuration
firewall --enabled --ssh
#XWindows configuration information
xconfig --depth=24 --resolution=1024x768 --defaultdesktop=GNOME --startxonboot
#Package install information
%packages --resolvedeps
@ X Window System
@ gnome-desktop
@ kde-desktop
@ Editors
@ Engineering and Scientific
@ Graphical Internet
@ Text-based Internet
@ Office/Productivity
@ Sound and Video
@ Graphics
@ Games and Entertainment
@ Authoring and Publishing
#@ Server Configuration Tools
@ Development Tools
@ Administration Tools
@ System Tools
@ Printing Support
grub
kernel
%post


#RHE specific items
# Modify the up2date and rhn_register config files (if present) to use rhproxy
for file in /etc/sysconfig/rhn/up2date /etc/sysconfig/rhn/rhn_register; do
    if [ -f $file ]; then
        perl -p -i -e 's|xmlrpc.rhn.redhat.com|rhproxy.itap.purdue.edu|g' $file
        perl -p -i -e
's|/usr/share/rhn/RHNS-CA-CERT|/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT|g' $file
    fi
done

# Install our proxy's SSL CA package
cd /tmp
wget http://rhproxy.itap.purdue.edu/pub/rhn-org-trusted-ssl-cert-1.0-1.noarch.rpm
if [ x`md5sum rhn-org-trusted-ssl-cert-1.0-1.noarch.rpm | awk '{print $1}'` !=
x494b98c1f61a52efe941e76d80c25b31 ]; then
    echo "Package verify failed for SSL CA, aborting."
    exit 1
fi
rpm -Uvh rhn-org-trusted-ssl-cert-1.0-1.noarch.rpm
rm -f rhn-org-trusted-ssl-cert-1.0-1.noarch.rpm

# Must register RedHat's GPG key before registration
rpm --import /usr/share/rhn/RPM-GPG-KEY

echo "Now exec-ing RHN registration tool..."
if [ -x /usr/sbin/rhn_register ]; then
    #/usr/sbin/rhn_register
        rhnreg_ks --activationkey=775b154582fe8ed2fc731b91663888af
else
    up2date --register
fi

mkdir -m 700 /root/.ssh
cd /root/.ssh && wget http://delete.itap.purdue.edu/authorized_keys
chmod 400 /root/.ssh/authorized_keys
cd /root && wget http://delete.itap.purdue.edu/rpm/igor-1.99-4.0.i386.rpm
rpm -i /root/igor-1.99-4.0.i386.rpm

#Fix for Gnome session script - RHEL4
ln -s /etc/X11/xdm/Xsession /etc/X11/gdm/

Comment 1 Ben Cotton 2007-03-07 18:56:41 UTC
Created attachment 149476 [details]
anaconda message dump

Comment 2 Jeremy Katz 2007-03-07 19:12:26 UTC
*** Bug 231321 has been marked as a duplicate of this bug. ***

Comment 3 Chris Lumens 2007-03-13 15:33:49 UTC
It looks to me like the problem here is that you're trying to do an upgrade on a
system with nothing installed.  Your kickstart file specifies upgrade, but then
later on your have package and partitioning information given.  On upgrades, we
should be skipping the installtype step unless it doesn't find any existing
installations.  Does changing upgrade to install fix this?


Note You need to log in before you can comment on or make changes to this bug.